ipc_rmid
Prev | IPC utilities | Next

## Name

ipc_rmid — remove an IPC identifier

## Synopsis

`struct kern_ipc_perm* ipc_rmid (` | struct ipc_ids * | ids,
| int | id`)`;

## Arguments

`ids`

  identifier set

`id`

  Identifier to remove

## Description

The identifier must be valid, and in use. The kernel will panic if fed an invalid identifier. The entry is removed and internal variables recomputed. The object associated with the identifier is returned. ipc_ids.mutex and the spinlock for this ID is hold before this function is called, and remain locked on the exit.

Prev | Up | Next
ipc_addid | Home | ipc_alloc